Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class BreakIteratorSplitCharacter

    java.lang.Object
      net.sf.jasperreports.engine.util.BreakIteratorSplitCharacter

All Implemented Interfaces:
  com.lowagie.text.SplitCharacter

    public class BreakIteratorSplitCharacter

extends java.lang.Object
implements com.lowagie.text.SplitCharacter

Implementation of `SplitCharacter` that uses the same logic as AWT to break texts into lines.

Version:
  $Id: BreakIteratorSplitCharacter.java 3702 2010-04-07 12:28:51Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `JRPdfExporterParameter.FORCE_LINEBREAK_POLICY`, `JRProperties.PDF_FORCE_LINEBREAK_POLICY`

Nested Class Summary
`protected static class` | `BreakIteratorSplitCharacter.ArrayCharIterator`

Constructor Summary
`BreakIteratorSplitCharacter()`
`BreakIteratorSplitCharacter(java.text.BreakIterator breakIter)`

Method Summary
`protected char` | `currentChar(int current, char[] cc, com.lowagie.text.pdf.PdfChunk[] ck)`
`boolean` | `isSplitCharacter(int startIdx, int current, int endIdx, char[] cc, com.lowagie.text.pdf.PdfChunk[] ck)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BreakIteratorSplitCharacter

    public BreakIteratorSplitCharacter()

### BreakIteratorSplitCharacter

    public BreakIteratorSplitCharacter(java.text.BreakIterator breakIter)

Method Detail

### isSplitCharacter

    public boolean isSplitCharacter(int startIdx,
                                    int current,
                                    int endIdx,
                                    char[] cc,
                                    com.lowagie.text.pdf.PdfChunk[] ck)

  Specified by:
    `isSplitCharacter` in interface `com.lowagie.text.SplitCharacter`

### currentChar

    protected char currentChar(int current,
                               char[] cc,
                               com.lowagie.text.pdf.PdfChunk[] ck)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com